package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAllocDOMapper;

/**
* The Table abs_plan_alloc.
* 分配计划表
*/
@Repository
public class PlanAllocDAO{

    @Autowired
    private PlanAllocDOMapper planAllocDOMapper;

    /**
     * desc:插入表:abs_plan_alloc.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAllocDO entity){
        return planAllocDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_alloc.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAllocDO> list){
        planAllocDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_plan_alloc.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return planAllocDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_plan_alloc.<br/>
     * @param id id
     * @return PlanAllocDO
     */
    
    public PlanAllocDO getById(Long id){
        return planAllocDOMapper.getById(id);
    }
    /**
     * desc:根据计划编号获取数据:abs_plan_alloc.<br/>
     * @param planNo planNo
     * @return List<PlanAllocDO>
     */
    
    public List<PlanAllocDO> getByPlanNo(String planNo){
        return planAllocDOMapper.getByPlanNo(planNo);
    }
    /**
     * desc:根据计划编号删除:abs_plan_alloc.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planAllocDOMapper.deleteByPlanNo(planNo);
    }
    /**
     * desc:根据兑付计划查询:abs_plan_alloc.<br/>
     * @param allocNo allocNo
     * @return int
     */
    
    public int deleteByAllocNo(String allocNo){
        return planAllocDOMapper.deleteByAllocNo(allocNo);
    }
    /**
     * desc:根据兑付计划编号查询:abs_plan_alloc.<br/>
     * @param allocNo allocNo
     * @return PlanAllocDO
     */
    
    public PlanAllocDO getByAllocNo(String allocNo){
        return planAllocDOMapper.getByAllocNo(allocNo);
    }
}
