package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanListPage;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan.
 * 产品表
 */
public interface PlanDOMapper{

    /**
     * desc:插入表:abs_plan.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanDO entity);
    /**
     * desc:批量插入表:abs_plan.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanDO> list);
    /**
     * desc:getPlanByNo.<br/>
     * @param planNo planNo
     * @return PlanDO
     */
    PlanDO getPlanByNo(@Param("planNo")String planNo);
    /**
     * desc:根据唯一约束PlanNo更新表:abs_plan.<br/>
     * @param entity entity
     * @return int
     */
    int updatePlanByNo(PlanDO entity);
    /**
     * desc:根据PlanName 和 PlanFullName判断是否存在对应的计划.<br/>
     * @param planName planName
     * @param planFullName planFullName
     * @return int
     */
    int planExist(@Param("planName")String planName,@Param("planFullName")String planFullName);
    /**
     * desc:getPlanListCount.<br/>
     * @param planList planList
     * @return int
     */
    int getPlanListCount(PlanListPage planList);
    /**
     * desc:getPlanListResult.<br/>
     * @param planList planList
     * @return List<PlanDO>
     */
    List<PlanDO> getPlanListResult(PlanListPage planList);
    /**
     * desc:deleteByPlanNo.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
