package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_fee_structure.
 * ABS_PLAN_FEE_STRUCTURE
 */
public interface PlanFeeStructureDOMapper{

    /**
     * desc:插入表:abs_plan_fee_structure.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanFeeStructureDO entity);
    /**
     * desc:批量插入表:abs_plan_fee_structure.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanFeeStructureDO> list);
    /**
     * desc:根据主键删除数据:abs_plan_fee_structure.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_plan_fee_structure.<br/>
     * @param id id
     * @return PlanFeeStructureDO
     */
    PlanFeeStructureDO getById(@Param("id")Long id);
    /**
     * desc:根据计划编号查询投资结构.<br/>
     * @param planNo planNo
     * @return List<PlanFeeStructureDO>
     */
    List<PlanFeeStructureDO> selectByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号删除.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
