package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeTimeTypeEnum;
import com.abssqr.plat.common.facade.model.plan.FeeStructure;
import com.abssqr.plat.common.model.enums.IdTypeEnum;
import com.abssqr.plat.common.model.seq.SequenceUtil;

import java.util.ArrayList;
import java.util.List;

public class FeeStructureConvert {
    public static FeeStructure convert2Entity(PlanFeeStructureDO var){
        if(var==null){
            return null;
        }
        FeeStructure feeStructure=new FeeStructure();
        feeStructure.setFeeTimeType(FeeTimeTypeEnum.getByCode(var.getFeeTimeType()));
        feeStructure.setPlanNo(var.getPlanNo());
        feeStructure.setPayLimitAmt(var.getPayLimitAmt());
        feeStructure.setSort(var.getSort());
        feeStructure.setFixedFeeAmt(var.getFixedFeeAmt());
        feeStructure.setFeeScaleType(FeeScaleTypeEnum.getByCode(var.getFeeScaleType()));
        feeStructure.setFeeRate(var.getFeeRate());
        feeStructure.setFeeNo(SequenceUtil.genId(IdTypeEnum.FEE));
        feeStructure.setFeeCalcType(CalcTypeEnum.getByCode(var.getFeeCalcType()));
        feeStructure.setFeeName(var.getFeeName());
        return feeStructure;
    }

    public static List<FeeStructure> convert2Entitys(List<PlanFeeStructureDO> vars){
        if(vars==null)
            return null;
        List<FeeStructure> result=new ArrayList<>();
        vars.forEach(v->{
            result.add(convert2Entity(v));
        });
        return result;
    }


    public static List<PlanFeeStructureDO> convert2DOs(String planNo,List<FeeStructure> vars){
        if(vars==null){
            return null;
        }
        List<PlanFeeStructureDO> result=new ArrayList<>();
        vars.forEach(v->{
            v.setPlanNo(planNo);
            result.add(convert2DO(v));
        });
        return result;
    }

    public static PlanFeeStructureDO convert2DO(FeeStructure var){
        if(var==null){
            return null;
        }
        PlanFeeStructureDO result=new PlanFeeStructureDO();
        result.setFeeTimeType(var.getFeeTimeType().getCode());
        result.setPlanNo(var.getPlanNo());
        result.setPayLimitAmt(var.getPayLimitAmt());
        result.setSort(var.getSort());
        result.setFixedFeeAmt(var.getFixedFeeAmt());
        result.setFeeScaleType(var.getFeeScaleType().getCode());
        result.setFeeRate(var.getFeeRate());
        result.setFeeNo(SequenceUtil.genId(IdTypeEnum.FEE));
        result.setFeeCalcType(var.getFeeCalcType().getCode());
        result.setFeeName(var.getFeeName());
        return result;
    }
}
