package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import com.abssqr.plat.common.facade.enums.AllocMethodEnum;
import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnum;
import com.abssqr.plat.common.facade.model.plan.InvestStructure;

import java.util.List;
import java.util.ArrayList;

public class InvestStructureConvert {

    public static InvestStructure convert2Entity(PlanInvestStructureDO var){
        if(var==null){
            return null;
        }
        InvestStructure investStructure=new InvestStructure();
        investStructure.setEffectDate(var.getEffectDate());
        investStructure.setEndDate(var.getEndDate());
        investStructure.setExpectEndDate(var.getExpectEndDate());
        investStructure.setGrade(var.getGrade());
        investStructure.setIntrType(IntrTypeEnum.getByCode(var.getIntrType()));
        investStructure.setPlanNo(var.getPlanNo());
        investStructure.setAllocMethod(AllocMethodEnum.getByCode(var.getAllocMethod()));

        investStructure.setSort(var.getSort());
        investStructure.setLayerType(LayerTypeEnum.getByCode(var.getLayerType()));
        investStructure.setLayerNo(var.getLayerNo());
        investStructure.setLayerName(var.getLayerName());
        investStructure.setLayerIntr(var.getLayerIntr());
        investStructure.setLayerAmt(var.getLayerAmt());

        return investStructure;

    }

    public static List<InvestStructure> convert2Entitys(String planNo,List<PlanInvestStructureDO> vars){
        if(vars==null){
            return null;
        }
        List<InvestStructure> result=new ArrayList();
        vars.forEach(v->{
            v.setPlanNo(planNo);
            result.add(convert2Entity(v));
        });
        return result;
    }

    public static List<PlanInvestStructureDO> convertDOs(String planNo,List<InvestStructure> vars){
        if(vars==null) {
            return null;
        }
        List<PlanInvestStructureDO> result=new ArrayList<>();
        vars.forEach(v->{
            v.setPlanNo(planNo);
            result.add(convert2DO(v));
        });
        return result;
    }

    public static PlanInvestStructureDO convert2DO(InvestStructure var){
        if(var==null){
            return null;
        }
        PlanInvestStructureDO result=new PlanInvestStructureDO();
        result.setEffectDate(var.getEffectDate());
        result.setEndDate(var.getEndDate());
        result.setExpectEndDate(var.getExpectEndDate());
        result.setGrade(var.getGrade());
        result.setIntrType(var.getIntrType().getCode());
        result.setPlanNo(var.getPlanNo());
        result.setAllocMethod(var.getAllocMethod().getCode());

        result.setSort(var.getSort());
        result.setLayerType(var.getLayerType().getCode());
        result.setLayerNo(var.getLayerNo());
        result.setLayerName(var.getLayerName());
        result.setLayerIntr(var.getLayerIntr());
        result.setLayerAmt(var.getLayerAmt());

        return result;
    }
}
