package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;

import java.util.ArrayList;
import java.util.List;

public class PlanAcctTitleConvert {
    public static PlanAcctTitle convert2Entity(PlanAcctTitleDO var){
        PlanAcctTitle result=new PlanAcctTitle();
        result.setPlanNo(var.getPlanNo());
        result.setRefNo(var.getRefNo());
        result.setTitleName(var.getTitleName());
        result.setTitleNo(var.getTitleNo());
        result.setTitleType(TitleTypeEnum.getByCode(var.getTitleType()));
        return result;
    }

    public static List<PlanAcctTitle> convert2Entitys(List<PlanAcctTitleDO> vars){
        List<PlanAcctTitle> result=new ArrayList<>();
        vars.forEach(v->{
            result.add(convert2Entity(v));
        });

        return result;

    }

    public static List<PlanAcctTitleDO> convert2DOs(List<PlanAcctTitle> vars){
        List<PlanAcctTitleDO> result=new ArrayList<>();
        vars.forEach(v->{
            result.add(convert2DO(v));
        });

        return result;

    }

    public static PlanAcctTitleDO convert2DO(PlanAcctTitle var){
        PlanAcctTitleDO result=new PlanAcctTitleDO();
        result.setPlanNo(var.getPlanNo());
        result.setRefNo(var.getRefNo());
        result.setTitleName(var.getTitleName());
        result.setTitleNo(var.getTitleNo());
        result.setTitleType(var.getTitleType().getCode());
        return result;
    }


}
