package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocItemDO;
import com.abssqr.plat.common.facade.enums.AllocTypeEmun;
import com.abssqr.plat.common.facade.model.plan.PlanAllocItem;

import java.util.ArrayList;
import java.util.List;
public class PlanAllocItemConvert {
    public static PlanAllocItem convert2Entity(PlanAllocItemDO var){
        if(var==null){
            return null;
        }
        PlanAllocItem result=new PlanAllocItem();
        result.setAllocNo(var.getAllocNo());
        result.setItemNo(var.getItemNo());
        result.setPlanNo(var.getPlanNo());
        result.setSort(var.getSort());
        result.setTitleNo(var.getTitleNo());
        result.setAllocType(AllocTypeEmun.getByCode(var.getAllocType()));
        result.setTitleName(var.getTitleName());
        return result;
    }


    public static List<PlanAllocItem> convert2Entitys(List<PlanAllocItemDO> vars){
        List<PlanAllocItem> result=new ArrayList<>();
        if(vars==null){
            return null;
        }
        vars.forEach(v->{
            result.add(convert2Entity(v));
        });
        return result;
    }

    public static PlanAllocItemDO convert2DO(PlanAllocItem var){
        if(var==null){
            return null;
        }
        PlanAllocItemDO result=new PlanAllocItemDO();
        result.setAllocNo(var.getAllocNo());
        result.setItemNo(var.getItemNo());
        result.setPlanNo(var.getPlanNo());
        result.setSort(var.getSort());
        result.setTitleNo(var.getTitleNo());
        result.setAllocType(var.getAllocType().getCode());
        result.setTitleName(var.getTitleName());
        return result;
    }

    public static List<PlanAllocItemDO> convert2DOs(List<PlanAllocItem> vars){
        List<PlanAllocItemDO> result=new ArrayList<>();
        if(vars==null) {
            return null;
        }
        vars.forEach(v->{
            result.add(convert2DO(v));
        });
        return result;
    }
}
