package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;
import com.abssqr.plat.common.facade.enums.CalcIntrTypeEnum;
import com.abssqr.plat.common.facade.enums.PeriodTypeEnum;
import com.abssqr.plat.common.facade.enums.PlanPayFreqEnum;
import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.model.plan.Plan;

import java.util.ArrayList;
import java.util.List;

public class PlanConvert {

    public static Plan convert2Entity(PlanDO var){
        if(var==null){
            return null;
        }
        Plan plan=new Plan();
        plan.setPayFreq(PlanPayFreqEnum.getByCode(var.getPayFreq()));
        plan.setBeginDate(var.getBeginDate());
        plan.setCalcIntrType(CalcIntrTypeEnum.getByCode(var.getCalcIntrType()));
        plan.setEndDate(var.getEndDate());
        plan.setFirstAllocDate(var.getFirstAllocDate());
        plan.setFirstCalcDate(var.getFirstCalcDate());
        plan.setFirstPayDate(var.getFirstPayDate());
        plan.setFirstReportDate(var.getFirstReportDate());
        plan.setFirstSettleDate(var.getFirstSettleDate());
        plan.setPlanFullName(var.getPlanFullName());
        plan.setTotalAmt(var.getTotalAmt());
        plan.setPlanName(var.getPlanName());
        plan.setPlanNo(var.getPlanNo());
        plan.setStatus(PlanStatusEnum.getByCode(var.getStatus()));
        plan.setTradePlace(var.getTradePlace());
        plan.setGmtModifier(var.getGmtModifier());
        plan.setGmtCreator(var.getGmtCreator());
        return plan;
    }

    public static List<Plan> convert2Entitys(List<PlanDO> vars){
        if(vars==null){
            return null;
        }
        List<Plan> result=new ArrayList<>();
        vars.forEach(v->{
           result.add(convert2Entity(v));
        });
        return result;
    }

    public static PlanDO convert2DO(Plan var){

        PlanDO planDO=new PlanDO();
        planDO.setPayFreq(var.getPayFreq().getCode());
        planDO.setBeginDate(var.getBeginDate());
        planDO.setCalcIntrType(var.getCalcIntrType().getCode());
        planDO.setEndDate(var.getEndDate());
        planDO.setFirstAllocDate(var.getFirstAllocDate());
        planDO.setFirstCalcDate(var.getFirstCalcDate());
        planDO.setFirstPayDate(var.getFirstPayDate());
        planDO.setFirstReportDate(var.getFirstReportDate());
        planDO.setFirstSettleDate(var.getFirstSettleDate());
        planDO.setPlanFullName(var.getPlanFullName());
        planDO.setTotalAmt(var.getTotalAmt());
        planDO.setPlanName(var.getPlanName());
        planDO.setPlanNo(var.getPlanNo());
        planDO.setStatus(var.getStatus().getCode());
        planDO.setTradePlace(var.getTradePlace());
        planDO.setGmtModifier(var.getGmtModifier());
        planDO.setGmtCreator(var.getGmtCreator());
        return planDO;
    }
}
