package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanFeeStructureDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import com.abssqr.plat.common.facade.model.plan.FeeStructure;
import com.abssqr.plat.common.model.convertor.FeeStructureConvert;
import com.abssqr.plat.common.model.repo.plan.PlanFeeStructureRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class PlanFeeStructureRepoImpl implements PlanFeeStructureRepo{

    @Autowired
    PlanFeeStructureDAO planFeeStructureDAO;

    @Override
    public List<FeeStructure> selectByPlanNo(String planNo) {
        List<PlanFeeStructureDO> planFeeStructureDOS = planFeeStructureDAO.selectByPlanNo(planNo);
        return FeeStructureConvert.convert2Entitys(planFeeStructureDOS);
    }

    @Override
    public void cleanByPlanNo(String planNo) {
        planFeeStructureDAO.deleteByPlanNo(planNo);
    }

    @Override
    public void add(String planNo, List<FeeStructure> feeStructureList) {
        List<PlanFeeStructureDO> planFeeStructureDOS = FeeStructureConvert.convert2DOs(planNo,feeStructureList);
        if(CollectionUtils.isNotEmpty(planFeeStructureDOS)){
            planFeeStructureDAO.insertBatch(planFeeStructureDOS);
        }

    }
}
