package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanInvestStructureDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import com.abssqr.plat.common.facade.model.plan.InvestStructure;
import com.abssqr.plat.common.model.convertor.InvestStructureConvert;
import com.abssqr.plat.common.model.repo.plan.PlanInvestStructureRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class PlanInvestStructureRepoImpl implements PlanInvestStructureRepo{
    @Autowired
    PlanInvestStructureDAO planInvestStructureDAO;

    @Override
    public List<InvestStructure> selectByPlanNo(String planNo) {
        List<PlanInvestStructureDO> entitys = planInvestStructureDAO.selectByPlanNo(planNo);
        return  InvestStructureConvert.convert2Entitys(planNo,entitys);
    }

    @Override
    public void cleanByPlanNo(String planNo) {
        planInvestStructureDAO.deleteByPlanNo(planNo);
    }

    @Override
    public void add(String planNo, List<InvestStructure> investStructures) {
        List<PlanInvestStructureDO> planInvestStructureDOS = InvestStructureConvert.convertDOs(planNo,investStructures);
        if (CollectionUtils.isNotEmpty(planInvestStructureDOS)) {
            planInvestStructureDAO.insertBatch(planInvestStructureDOS);
        }
    }
}
