package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.PlanListPage;
import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.model.convertor.PlanConvert;
import com.abssqr.plat.common.model.repo.plan.PlanRepo;
import com.general.system.common.util.VarChecker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class PlanRepoImpl implements PlanRepo{
    @Autowired
    PlanDAO planDAO;
    @Override
    public PlanListPage getPlanList(PlanListPage planList) {
        return planDAO.getPlanList(planList);
    }

    @Override
    public boolean planExist(String planFllName, String planName) {
        int i = planDAO.planExist(planName, planFllName);
        if(i>0){
            return true;
        }
        return false;
    }

    @Override
    public void addPlan(Plan plan) {
        planDAO.insert(PlanConvert.convert2DO(plan));
    }

    @Override
    public void updatePlan(Plan plan) {
        PlanDO planDO = PlanConvert.convert2DO(plan);
        planDO.setGmtModified(new Date());
        planDAO.updatePlanByNo(planDO);
    }


    @Override
    public Plan getPlanByNo(String planNo) {
        PlanDO planDO = planDAO.getPlanByNo(planNo);
        return PlanConvert.convert2Entity(planDO);
    }


    @Override
    public void deletePlan(String planNo){
        PlanDO planDO = planDAO.getPlanByNo(planNo);
        VarChecker.checkNotNull(planDO,"不存在的计划[{0}]",planNo);
        VarChecker.checkArgument((PlanStatusEnum.PREPARING.getCode()).equals(planDO.getStatus())||(PlanStatusEnum.DRAFT.getCode().equals(planDO.getStatus())),"计划[{0}]状态为[{1}],不能删除",planDO.getPlanName(),PlanStatusEnum.getByCode(planDO.getStatus()).getDesc());
        planDAO.deleteByPlanNo(planNo);
    }
}
