/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.plan;

import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.model.plan.InvestStructure;
import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.common.facade.param.ast.AstPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.facade.param.plan.PlanEditOprParam;
import com.abssqr.plat.common.facade.result.pack.AstPackVO;
import com.abssqr.plat.common.facade.service.ast.AstPackService;
import com.abssqr.plat.common.facade.service.plan.PlanService;
import com.abssqr.plat.common.model.repo.plan.*;
import com.abssqr.plat.core.service.plan.PlanMananger;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.alibaba.fastjson.JSON;
import com.general.system.common.util.VarChecker;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * 计划编辑测试
 */
public class PlanEditUnitTest extends BaseAutoTests {

    @Autowired
    private PlanService planService;

    @Autowired
    private PlanMananger planMananger;



    @XTest(relatePath = "unittest/plan/edit")
    @Test(dataProvider = "YamlDataProvider", description = "产品新增和编辑")
    public void edit(ICase iCase, PlanEditOprParam planEditOprParam) {
        ConstantFactory.me().securityLogin("administrator");
        String planNo = planService.edit(planEditOprParam);

        Plan plan = planMananger.getPlan(planNo);
        //如果是暂存
        if(planEditOprParam.isDraft()){
            PlanStatusEnum status = plan.getStatus();
        }
        //planEditOprParam
    }
}
