package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.param.plan.PlanEditOprParam;
import com.abssqr.plat.common.facade.param.plan.PlanPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.plan.PlanVO;
import com.abssqr.plat.common.facade.service.plan.PlanService;
import com.abssqr.plat.common.model.repo.BasePageVO;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

@RestJsonController
public class PlanController {

    @Autowired
    PlanService planService;

    /**
     * 编辑产品
     * @param planEditOprParam
     * @return
     */
    @RequestMapping("plan/edit.json")
    public BaseResult<String> edit(@RequestBody PlanEditOprParam planEditOprParam){
        String planNo = planService.edit(planEditOprParam);
        return BaseResult.success(planNo);
    }

    /**
     * 获取产品详情
     * @param planNo
     * @return
     */
    @RequestMapping("plan/get.json")
    public BaseResult<PlanVO> get(@RequestParam("planNo") String planNo){
        PlanVO planVO = planService.get(planNo);
        return BaseResult.success(planVO);
    }

    /**
     * 获取产品列表
     * @param planPageQryParam
     * @return
     */
    @RequestMapping("plan/list.json")
    public BasePage<PlanVO> page(@RequestBody PlanPageQryParam planPageQryParam){
        return planService.page(planPageQryParam);
    }


    /**
     * 根据计划编号删除计划
     * @param planNo
     * @return
     */
    @RequestMapping("plan/delete.json")
    public BaseResult<Boolean> delete(@RequestParam("planNo") String planNo){
        return  planService.delete(planNo);
    }
}
